#ifndef __GLASSES_OBJECT_VIEW_H__
#define __GLASSES_OBJECT_VIEW_H__

#include <gnome.h>
#include "glasses-object.h"


#define TYPE_GLASSES_OBJECT_VIEW   		(glasses_object_view_get_type ())
#define GLASSES_OBJECT_VIEW(obj)		(GTK_CHECK_CAST ((obj), TYPE_GLASSES_OBJECT_VIEW, GlassesObjectView))
#define GLASSES_OBJECT_VIEW_CLASS(klass)	(GTK_CHECK_CLASS_CAST ((klass), TYPE_GLASSES_OBJECT_VIEW, GlassesObjectViewClass))
#define IS_GLASSES_OBJECT_VIEW(obj) 		(GTK_CHECK_TYPE ((obj), TYPE_GLASSES_OBJECT_VIEW))
#define IS_GLASSES_OBJECT_VIEW_CLASS(klass)	(GTK_CHECK_CLASS_TYPE ((klass), TYPE_GLASSES_OBJECT_VIEW_CLASS))


typedef struct _GlassesObjectView       GlassesObjectView;
typedef struct _GlassesObjectViewClass  GlassesObjectViewClass;

struct _GlassesObjectView
{
	GtkVBox parent;

	GtkWidget *class_label;
	GtkWidget *object_size_label;
	GtkWidget *class_size_label;
	GtkWidget *notebook;
	GtkWidget *arg_clist;
	GtkWidget *arg_clist_scroll;
	GtkWidget *sig_clist;
	GtkWidget *sig_clist_scroll;
	
	GlassesObject *model;
};

struct _GlassesObjectViewClass
{
	GtkVBoxClass     parent_class;
};


GtkType        glasses_object_view_get_type    (void);
GtkWidget*     glasses_object_view_new         (GlassesObject *model);
void           glasses_object_view_set_model   (GlassesObjectView
												*self, GlassesObject *model);


#endif /* __GLASSES_OBJECT_VIEW_H__ */
